org.apache.ignite.internal.visor.cache

## Class VisorCacheConfigurationCollectorJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>
    - - org.apache.ignite.internal.visor.cache.VisorCacheConfigurationCollectorJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

    public class VisorCacheConfigurationCollectorJob
    extends VisorJob<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>

Job that collect cache configuration from node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfigurationCollectorJob(VisorCacheConfigurationCollectorTaskArg arg, boolean debug)` Create job with given argument.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorCacheConfiguration` `config(CacheConfiguration ccfg, IgniteUuid dynamicDeploymentId)`
`protected Map<String,VisorCacheConfiguration>` `run(VisorCacheConfigurationCollectorTaskArg arg)` Execution logic of concrete job.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfigurationCollectorJob

    public VisorCacheConfigurationCollectorJob(VisorCacheConfigurationCollectorTaskArg arg,
                                               boolean debug)

Create job with given argument.

Parameters:
  `arg` - Whether to collect metrics for all caches or for specified cache name only or by regex.
  `debug` - Debug flag.

### Method Detail

#### run

    protected Map<String,VisorCacheConfiguration> run(VisorCacheConfigurationCollectorTaskArg arg)

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.

#### config

    protected VisorCacheConfiguration config(CacheConfiguration ccfg,
                                             IgniteUuid dynamicDeploymentId)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object to send it to Visor.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020